//-*-C++-*- Header file for the APDialog Class
// Copyright (C) 1997 by John P. Weiss
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// This file is unreadable, because the comment-docifier is
// brainedead.  Try a "make srcdocs" to generate the
// HTML-documentation.
//
#ifndef _APDialog_h_
#define _APDialog_h_
// qmsgbox.h includes qdialog.h
#include <qmsgbox.h>




#define NULLDLG ((APDialog *)0)


/**
 {\bf APDialog} is basically a {\bf QDialog}.  The one difference is
 in a virtual void slot, {\bf open()}.  The idea is to use {\bf
 APDialog} as a template for actual dialog boxes and reimplement
 {\bf open()} to handle any details specific to that dialog.

 @memo Special {\bf QDialog} object used by the \Ref{AudioPanel}
 @see AudioPanel, Program

 */
class APDialog : public QDialog
{
	 //
	 Q_OBJECT

   public:
	 /** This is the constructor.  It does nothing.
	   @memo
	  */
	 APDialog(QWidget *parent=0, const char *name=0, bool modal=FALSE, 
			WFlags f=0) : QDialog(parent, name, modal, f) { return; };

	 //
   public slots:
      /** {\em Public Slot} [{\tt virtual}]
	   
	   {\bf open()} initiates the local execution loop, opening up
	   the QDialog box.  Any class inheriting APDialog should
	   reimplement it for its own purposes.  The default opens a {\bf
	   QMessageBox} with the text "Feature not yet implemented."
	   
	   @memo {\tt [virtual public slot]} 
	   */
      virtual void open();
};


#endif // _APDialog_h_

//||||||||||||||||||||||||||||||||
//
// End
// 
